image: maven:3.6-jdk-8-slim

variables:
  MAVEN_CLI_OPTS: "-s .m2/settings.xml --batch-mode"
  MEVEN_DEPLOY_OPTS: "-DskipTests"
  MAVEN_OPTS: "-Dmaven.repo.local=.m2/repository"

cache:
  paths:
    - .m2/repository/
    - target/

build:
  stage: build
  script:
    - mvn $MAVEN_CLI_OPTS compile

test:
  stage: test
  script:
    - mvn $MAVEN_CLI_OPTS test

deploy:
  stage: deploy
  script:
    - mvn $MAVEN_CLI_OPTS deploy $MEVEN_DEPLOY_OPTS
  only:
    - master
    - dev
